## jaxe 3.5

=== debian/changelog ===
jaxe (3.5-9) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0
  * rules: Pass CLASSPATH to javadoc too (Closes: Bug#875577).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Sep 2017 14:38:38 +0200

jaxe (3.5-8) unstable; urgency=medium

  [ Eugene Zhukov ]
  * Switch build and runtime dependency to libsaxonhe-java
    (Closes: Bug#814925)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Feb 2016 00:32:02 +0100

jaxe (3.5-7) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * bin/jaxe{,-editeurconfig}: Use PATH-provided java instead of hardcoding
    jvm path.
  * control: Use default-jre instead of hardcoding jvm version
    (Closes: Bug#814178)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2016 01:02:20 +0100

jaxe (3.5-6) unstable; urgency=medium

  * rules: Pass -notimestamp to javadoc to make build more reproducible.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Turn package into quilt format.
  * patches/fop: New patch to fix build against fop 2.0 (Closes: Bug#802376).
  * control: Bump libfop-java build-dependency accordingly.
  * jaxe.menu: Remove.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Oct 2015 22:38:52 +0200

jaxe (3.5-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * bin/*: Switch to openjdk 7.
  * control: Switch depends to openjdk-7 (Closes: Bug#753788).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Oct 2013 09:28:33 +0100

jaxe (3.5-4) unstable; urgency=low

  * Fix sun JVM path (Closes: Bug#710721).
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:24:55 +0200

jaxe (3.5-3) unstable; urgency=low

  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Use libsaxonb-java instead of *office*-java-common
    (Closes: Bug#682469).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:48:08 +0100

jaxe (3.5-2) unstable; urgency=low

  * Replace fop build-dependency with libfop-java.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Jan 2012 13:11:35 +0100

jaxe (3.5-1) unstable; urgency=low

  * New upstream release.
    - build.xml: do not ignore build.sysclasspath
    - editeurconfig-source/build.xml: drop hardcoded .jar paths.
    - debian/copyright: Update to include the STI licence.
    - debian/rules: build and install xpages and jaxe-editeurconfig
  * Add debian/bin/jaxe-editeurconfig, debian/jaxe-editeurconfig.1
  * Drop debian/jaxe.desktop, use upstream's source/linux/jaxe.desktop
    instead.
  * Bump Standards-Version to 3.9.2 (no change needed)
  * debian/control: Do not make libjaxe-java depend on JRE.
  * debian/bin/jaxe: Also look for the sun JRE.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 30 Jun 2011 23:20:23 +0200

jaxe (3.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.1 (no change needed).
    - Add ant Build-Depends-Indep (Closes: Bug#618203).
  * debian/bin/jaxe: Prepend `pwd` to arguments to fix opening xml files from
    the command line.
  * Add debian/jaxe.desktop.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 02:07:29 +0200

jaxe (3.3-2) unstable; urgency=low

  * debian/libjaxe-java.lintian-overrides: Add.
  * debian/control:
    - Bump Standards-Version to 3.9.0 (no change needed).
    - Build-Depend on libxmlgraphics-commons-java.
    - Make libjaxe-java depend on libcortado-java, headless java and
    libxmlgraphics-commons-java.
  * debian/rules, debian/bin/jaxe: Add xmlgraphics-commons.jar to classpath.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Jul 2010 19:45:30 +0200

jaxe (3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Drop duplicate section field.
  * debian/watch: Add.
  * debian/control: Suggest cortado.
  * debian/libjaxe-java-doc.doc-base: Add.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Jan 2010 23:32:59 +0100

jaxe (3.2-3) unstable; urgency=low

  * debian/copyright: Document why plugins/xpages.jar was dropped.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Dec 2009 02:47:10 +0100

jaxe (3.2-2) unstable; urgency=low

  * debian/rules: Make sure source/lib/ exists even if git drops it
    (Closes: Bug#549742).
  * debian/jaxe.menu: Fix typo.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 07 Oct 2009 00:37:26 +0200

jaxe (3.2-1) unstable; urgency=low

  * Initial release (Closes: #544640)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Sep 2009 14:31:28 +0200
