=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

JAVAC=javac
JAVADOC=javadoc
JAR=jar

JAVAFLAGS=-encoding iso-8859-1

JAVACLASSES=/usr/share/java
SRCDIR=source

CLASSPATH=$(JAVACLASSES)/avalon-framework.jar:$(JAVACLASSES)/batik-all.jar:$(JAVACLASSES)/commons-io.jar:$(JAVACLASSES)/commons-logging.jar:$(JAVACLASSES)/cortado.jar:$(JAVACLASSES)/fop.jar:$(JAVACLASSES)/jazzy.jar:$(JAVACLASSES)/jing.jar:$(JAVACLASSES)/log4j-1.2.jar:$(JAVACLASSES)/xml-commons-resolver-1.1.jar:$(JAVACLASSES)/Saxon-HE.jar:$(JAVACLASSES)/serializer.jar:$(JAVACLASSES)/xalan2.jar:$(JAVACLASSES)/xercesImpl.jar:$(JAVACLASSES)/xml-apis.jar:$(JAVACLASSES)/xml-apis-ext.jar:$(JAVACLASSES)/xml-commons-external.jar:$(JAVACLASSES)/xmlgraphics-commons.jar:$(JAVACLASSES)/xsltc.jar

override_dh_auto_build:
	mkdir -p plugins
	mkdir -p source/lib
	mkdir -p xpages-source/lib
	mkdir -p editeurconfig-source/lib
	CLASSPATH=$(CLASSPATH) ant -d -v -buildfile build.xml
	CLASSPATH=$(CLASSPATH):$(CURDIR)/dist/Jaxe/lib/Jaxe.jar ant -d -v -buildfile xpages-source/build.xml
	CLASSPATH=$(CLASSPATH):$(CURDIR)/dist/Jaxe/lib/Jaxe.jar  ant -d -v -buildfile editeurconfig-source/build.xml
	chmod -x editeurconfig-source/dist/editeurconfig.jar
	rm -f dist/Jaxe/*.bat
	rm -f dist/Jaxe/config/dita/license.txt

	( cd $(SRCDIR) ; CLASSPATH=$(CLASSPATH):$(CURDIR)/$(SRCDIR) $(JAVADOC) -notimestamp -encoding iso-8859-1 -d api jaxe )

override_dh_auto_clean:
	rm -fr build dist \
		xpages-source/build xpages-source/dist \
		editeurconfig-source/build editeurconfig-source/dist
	rm -fr $(SRCDIR)/api

override_dh_install:
	dh_install
	convert source/winos/jaxe.png debian/jaxe/usr/share/pixmaps/jaxe.xpm

override_dh_link:
	dh_link -plibjaxe-java /usr/share/java/Jaxe/lib/Jaxe.jar /usr/share/java/jaxe.jar
