=== debian/watch ===
version=3
http://sf.net/jaxe/jaxe-source-(.+)\.tar.gz
